/*----------------------------------------------------------------------------*/
/*
  This file is generated by Code_Saturne, a general-purpose CFD tool.
*/
/*----------------------------------------------------------------------------*/

#include "cs_defs.h"

/*----------------------------------------------------------------------------
 * Standard C library headers
 *----------------------------------------------------------------------------*/

#include <assert.h>
#include <math.h>

#if defined(HAVE_MPI)
#include <mpi.h>
#endif

/*----------------------------------------------------------------------------
 *  Local headers
 *----------------------------------------------------------------------------*/

#include "cs_headers.h"

/*----------------------------------------------------------------------------*/

BEGIN_C_DECLS

/*----------------------------------------------------------------------------*/

void
cs_meg_volume_function(const cs_zone_t  *zone,
                       cs_field_t       *f[])
{
  /* User defined formula for variable(s) density over zone Solid
    ------------------------------------------------------------- */

  if (strcmp(f[0]->name, "density") == 0 &&
      strcmp(zone->name, "Solid") == 0) {
    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];
      f[0]->val[c_id] = 7850;
    }
  }

  /* User defined formula for variable(s) molecular_viscosity over zone Solid
    ------------------------------------------------------------------------- */

  if (strcmp(f[0]->name, "molecular_viscosity") == 0 &&
      strcmp(zone->name, "Solid") == 0) {
    const cs_real_t mu0 = cs_glob_fluid_properties->viscl0;

    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];
      f[0]->val[c_id] = mu0;
    }
  }

  /* User defined formula for variable(s) specific_heat over zone Solid
    ------------------------------------------------------------------- */

  if (strcmp(f[0]->name, "specific_heat") == 0 &&
      strcmp(zone->name, "Solid") == 0) {
    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];
      f[0]->val[c_id] = 510;
    }
  }

  /* User defined formula for variable(s) thermal_conductivity over zone Solid
    -------------------------------------------------------------------------- */

  if (strcmp(f[0]->name, "thermal_conductivity") == 0 &&
      strcmp(zone->name, "Solid") == 0) {
    for (cs_lnum_t e_id = 0; e_id < zone->n_elts; e_id++) {
      cs_lnum_t c_id = zone->elt_ids[e_id];
      f[0]->val[c_id] = 94;
    }
  }
}

/*----------------------------------------------------------------------------*/

END_C_DECLS

